"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.AttachmentType = exports.archiveCard = exports.restoreCard = exports.moveCard = exports.deleteCard = exports.createCard = exports.updateCard = exports.getCard = exports.listCards = exports.__metadata = void 0;
const workflows_v1_card_cards_universal_js_1 = require("./workflows-v1-card-cards.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/workflows' };
function listCards(httpClient) {
    return (workflowId, options) => (0, workflows_v1_card_cards_universal_js_1.listCards)(workflowId, options, 
    // @ts-ignore
    { httpClient });
}
exports.listCards = listCards;
function getCard(httpClient) {
    return (_id) => (0, workflows_v1_card_cards_universal_js_1.getCard)(_id, 
    // @ts-ignore
    { httpClient });
}
exports.getCard = getCard;
function updateCard(httpClient) {
    return (_id, cardInfo) => (0, workflows_v1_card_cards_universal_js_1.updateCard)(_id, cardInfo, 
    // @ts-ignore
    { httpClient });
}
exports.updateCard = updateCard;
function createCard(httpClient) {
    return (identifiers, card, options) => (0, workflows_v1_card_cards_universal_js_1.createCard)(identifiers, card, options, 
    // @ts-ignore
    { httpClient });
}
exports.createCard = createCard;
function deleteCard(httpClient) {
    return (_id) => (0, workflows_v1_card_cards_universal_js_1.deleteCard)(_id, 
    // @ts-ignore
    { httpClient });
}
exports.deleteCard = deleteCard;
function moveCard(httpClient) {
    return (_id, options) => (0, workflows_v1_card_cards_universal_js_1.moveCard)(_id, options, 
    // @ts-ignore
    { httpClient });
}
exports.moveCard = moveCard;
function restoreCard(httpClient) {
    return (_id, newPhaseId, options) => (0, workflows_v1_card_cards_universal_js_1.restoreCard)(_id, newPhaseId, options, 
    // @ts-ignore
    { httpClient });
}
exports.restoreCard = restoreCard;
function archiveCard(httpClient) {
    return (_id) => (0, workflows_v1_card_cards_universal_js_1.archiveCard)(_id, 
    // @ts-ignore
    { httpClient });
}
exports.archiveCard = archiveCard;
var workflows_v1_card_cards_universal_js_2 = require("./workflows-v1-card-cards.universal.js");
Object.defineProperty(exports, "AttachmentType", { enumerable: true, get: function () { return workflows_v1_card_cards_universal_js_2.AttachmentType; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return workflows_v1_card_cards_universal_js_2.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return workflows_v1_card_cards_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=workflows-v1-card-cards.public.js.map