import * as ambassadorWixWorkflowsV1CardTypes from './workflows-v1-card-cards.types.js';
import * as ambassadorWixWorkflowsV1CardUniversalTypes from './workflows-v1-card-cards.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function listCards(): __PublicMethodMetaInfo<'GET', {
    workflowId: string;
}, ambassadorWixWorkflowsV1CardUniversalTypes.ListCardsRequest, ambassadorWixWorkflowsV1CardTypes.ListCardsRequest, ambassadorWixWorkflowsV1CardUniversalTypes.ListCardsResponse, ambassadorWixWorkflowsV1CardTypes.ListCardsResponse>;
export declare function getCard(): __PublicMethodMetaInfo<'GET', {
    id: string;
}, ambassadorWixWorkflowsV1CardUniversalTypes.GetCardRequest, ambassadorWixWorkflowsV1CardTypes.GetCardRequest, ambassadorWixWorkflowsV1CardUniversalTypes.GetCardResponse, ambassadorWixWorkflowsV1CardTypes.GetCardResponse>;
export declare function updateCard(): __PublicMethodMetaInfo<'PATCH', {
    id: string;
}, ambassadorWixWorkflowsV1CardUniversalTypes.UpdateCardRequest, ambassadorWixWorkflowsV1CardTypes.UpdateCardRequest, ambassadorWixWorkflowsV1CardUniversalTypes.UpdateCardResponse, ambassadorWixWorkflowsV1CardTypes.UpdateCardResponse>;
export declare function createCard(): __PublicMethodMetaInfo<'POST', {
    workflowId: string;
    phaseId: string;
}, ambassadorWixWorkflowsV1CardUniversalTypes.CreateCardRequest, ambassadorWixWorkflowsV1CardTypes.CreateCardRequest, ambassadorWixWorkflowsV1CardUniversalTypes.CreateCardResponse, ambassadorWixWorkflowsV1CardTypes.CreateCardResponse>;
export declare function deleteCard(): __PublicMethodMetaInfo<'DELETE', {
    id: string;
}, ambassadorWixWorkflowsV1CardUniversalTypes.DeleteCardRequest, ambassadorWixWorkflowsV1CardTypes.DeleteCardRequest, ambassadorWixWorkflowsV1CardUniversalTypes.DeleteCardResponse, ambassadorWixWorkflowsV1CardTypes.DeleteCardResponse>;
export declare function moveCard(): __PublicMethodMetaInfo<'POST', {
    id: string;
}, ambassadorWixWorkflowsV1CardUniversalTypes.MoveCardRequest, ambassadorWixWorkflowsV1CardTypes.MoveCardRequest, ambassadorWixWorkflowsV1CardUniversalTypes.MoveCardResponse, ambassadorWixWorkflowsV1CardTypes.MoveCardResponse>;
export declare function restoreCard(): __PublicMethodMetaInfo<'POST', {
    id: string;
}, ambassadorWixWorkflowsV1CardUniversalTypes.RestoreCardRequest, ambassadorWixWorkflowsV1CardTypes.RestoreCardRequest, ambassadorWixWorkflowsV1CardUniversalTypes.RestoreCardResponse, ambassadorWixWorkflowsV1CardTypes.RestoreCardResponse>;
export declare function archiveCard(): __PublicMethodMetaInfo<'POST', {
    id: string;
}, ambassadorWixWorkflowsV1CardUniversalTypes.ArchiveCardRequest, ambassadorWixWorkflowsV1CardTypes.ArchiveCardRequest, ambassadorWixWorkflowsV1CardUniversalTypes.ArchiveCardResponse, ambassadorWixWorkflowsV1CardTypes.ArchiveCardResponse>;
