"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.archiveCard = exports.restoreCard = exports.moveCard = exports.deleteCard = exports.createCard = exports.updateCard = exports.getCard = exports.listCards = void 0;
const ambassadorWixWorkflowsV1Card = __importStar(require("./workflows-v1-card-cards.http.js"));
function listCards() {
    const payload = { workflowId: ':workflowId' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.listCards(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/workflows/{workflowId}/cards',
        pathParams: { workflowId: 'workflowId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.listCards = listCards;
function getCard() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.getCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/cards/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getCard = getCard;
function updateCard() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.updateCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/cards/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updateCard = updateCard;
function createCard() {
    const payload = { workflowId: ':workflowId', phaseId: ':phaseId' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.createCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/workflows/{workflowId}/phases/{phaseId}/cards',
        pathParams: { workflowId: 'workflowId', phaseId: 'phaseId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createCard = createCard;
function deleteCard() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.deleteCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/cards/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteCard = deleteCard;
function moveCard() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.moveCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/cards/{id}/move',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.moveCard = moveCard;
function restoreCard() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.restoreCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/cards/{id}/restore',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.restoreCard = restoreCard;
function archiveCard() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.archiveCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/cards/{id}/archive',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.archiveCard = archiveCard;
//# sourceMappingURL=workflows-v1-card-cards.meta.js.map