import { listCards as publicListCards, getCard as publicGetCard, updateCard as publicUpdateCard, createCard as publicCreateCard, deleteCard as publicDeleteCard, moveCard as publicMoveCard, restoreCard as publicRestoreCard, archiveCard as publicArchiveCard } from './workflows-v1-card-cards.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const listCards: MaybeContext<BuildRESTFunction<typeof publicListCards> & typeof publicListCards>;
export declare const getCard: MaybeContext<BuildRESTFunction<typeof publicGetCard> & typeof publicGetCard>;
export declare const updateCard: MaybeContext<BuildRESTFunction<typeof publicUpdateCard> & typeof publicUpdateCard>;
export declare const createCard: MaybeContext<BuildRESTFunction<typeof publicCreateCard> & typeof publicCreateCard>;
export declare const deleteCard: MaybeContext<BuildRESTFunction<typeof publicDeleteCard> & typeof publicDeleteCard>;
export declare const moveCard: MaybeContext<BuildRESTFunction<typeof publicMoveCard> & typeof publicMoveCard>;
export declare const restoreCard: MaybeContext<BuildRESTFunction<typeof publicRestoreCard> & typeof publicRestoreCard>;
export declare const archiveCard: MaybeContext<BuildRESTFunction<typeof publicArchiveCard> & typeof publicArchiveCard>;
export { AttachmentType, SortOrder, WebhookIdentityType, } from './workflows-v1-card-cards.universal.js';
export { Card, CardInfo, Attachment, QueryCardsRequest, Query, Sorting, Paging, QueryCardsResponse, PaginationResponse, ListCardsRequest, ListCardsResponse, GetCardRequest, GetCardResponse, UpdateCardRequest, UpdateCardResponse, CreateCardRequest, CreateCardResponse, DeleteCardRequest, DeleteCardResponse, MoveCardRequest, MoveCardResponse, RestoreCardRequest, RestoreCardResponse, ArchiveCardRequest, ArchiveCardResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, ListCardsOptions, CreateCardIdentifiers, CreateCardOptions, MoveCardOptions, RestoreCardOptions, } from './workflows-v1-card-cards.universal.js';
