import { archiveCard as universalArchiveCard, createCard as universalCreateCard, deleteCard as universalDeleteCard, getCard as universalGetCard, listCards as universalListCards, moveCard as universalMoveCard, restoreCard as universalRestoreCard, updateCard as universalUpdateCard, } from './workflows-v1-card-cards.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/workflows' };
export function listCards(httpClient) {
    return (workflowId, options) => universalListCards(workflowId, options, 
    // @ts-ignore
    { httpClient });
}
export function getCard(httpClient) {
    return (_id) => universalGetCard(_id, 
    // @ts-ignore
    { httpClient });
}
export function updateCard(httpClient) {
    return (_id, cardInfo) => universalUpdateCard(_id, cardInfo, 
    // @ts-ignore
    { httpClient });
}
export function createCard(httpClient) {
    return (identifiers, card, options) => universalCreateCard(identifiers, card, options, 
    // @ts-ignore
    { httpClient });
}
export function deleteCard(httpClient) {
    return (_id) => universalDeleteCard(_id, 
    // @ts-ignore
    { httpClient });
}
export function moveCard(httpClient) {
    return (_id, options) => universalMoveCard(_id, options, 
    // @ts-ignore
    { httpClient });
}
export function restoreCard(httpClient) {
    return (_id, newPhaseId, options) => universalRestoreCard(_id, newPhaseId, options, 
    // @ts-ignore
    { httpClient });
}
export function archiveCard(httpClient) {
    return (_id) => universalArchiveCard(_id, 
    // @ts-ignore
    { httpClient });
}
export { AttachmentType, SortOrder, WebhookIdentityType, } from './workflows-v1-card-cards.universal.js';
//# sourceMappingURL=workflows-v1-card-cards.public.js.map